use crate::MainWindow;
use super::{GUIElementsRef, MainWindowRef, main_tab::MainTab};

pub struct FileTab {
    main_window: MainWindowRef
}

impl FileTab {
    pub fn new(main_window: MainWindowRef) -> FileTab {
        FileTab{main_window}
    }

    pub fn on_browse_file(&self, gui_elements: GUIElementsRef, mut function: impl FnMut(&MainWindow, &mut MainTab) + 'static) {
        let main_window_cloned = self.main_window.clone();
        let gui_cloned         = gui_elements.clone();

        self.main_window.borrow().on_file_tab_browse_convert_image(move || {
            function(&main_window_cloned.borrow(), &mut gui_cloned.borrow_mut().main_tab);
        });
    }
}